/*
 *  CFRComplexe.c
 *  Mandelbrot
 *
 *  Created by Renaud Pradenc on 03/02/09.
 *  Copyright 2009 Céroce. All rights reserved.
 *
 */

#include "CFRComplexe.h"

/* Calcule le carré d'un nombre complexe.
 (a+ib)^2 = (a+ib)(a+ib) = a^2 + i2ab - b^2
 */
Complexe_t Carre(Complexe_t z)
{
	Complexe_t carre;
	
	carre.reel = z.reel*z.reel - z.imag*z.imag;
	carre.imag = 2.0 * z.reel * z.imag;
	
	return carre;
}

/* Renvoie le module au carré d'un nombre complexe.
 C'est à dire, pour un nombre complexe z = a + ib
 moduleAuCarre = a^2 + b^2.
*/
double ModuleAuCarre(Complexe_t z)
{
	return z.reel*z.reel + z.imag*z.imag;
}